:root {
    --primario: #9c27b0;
    --primarioOscuro: #89119d;
    --secundario: #ffce00;
    --secundarioOscuro: rgb(233,287,2);
    --blanco: #fff;
    --negro: #000;

    --fuentePrincipal: 'Staatliches', cursive;
}

/* Globales*/
 /* Snipet de paul irish no puede faltar en los proyectos */
 /* apply a natural box layout model to all elements, but allowing components to change */
html {
    box-sizing: border-box;
    font-size: 62.5%;
  }
  *, *:before, *:after {
    box-sizing: inherit;
  }

  body {
    background-color: var(--primario);
    font-size: 1.6rem;
    line-height: 1.5;
  }

  p {
    font-size: 1.8rem;
    color: #fff;
  }

  a {
    text-decoration: none;
  }

  img {
    max-width: 100%;
  }

  .contenedor {
    max-width: 120rem;
    margin: 0 auto;
  }

  h1, h2, h3 {
    text-align: center;
    color: var(--secundario);
    font-family: var(--fuentePrincipal);
  }

  h1 {
    font-size: 4rem;
  }

  h2 {
    font-size: 3.2rem;
  }

  h3 {
    font-size: 2.4rem;
  }


  /* Header  */

  .header {
    display: flex;
    justify-content: center;
  }

  .header__logo {
    margin: 3rem 0;
  }

  /* Navegacion  */

  .navegacion {
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    display: flex;
    justify-content: center;
    gap: 2rem; /* Separa elementos con gap*/


  }

  .navegacion__enlace {
    font-family: var(--fuentePrincipal);
    color: var(--blanco);
    font-size: 3rem;
    /* margin-right: 2rem; Forma antigua de separar antes de gap */
  }

  /* pseudo selector, selecciona el ultimo elemento 
  .navegacion__enlace:last-of-type {
    margin-right: 0;
  } */

  .navegacion__enlace--activo,
  .navegacion__enlace:hover {
    color: var(--secundario);
  }

  /* FOOTER  */

  .footer {
    background-color: var(--primarioOscuro);
    padding: 1rem 0;
    margin-top: 2rem;
  }

.footer__texto {
    font-family: var(--fuentePrincipal);
    text-align: center;
    font-size: 2.2rem;
}

/* MAIN */

/* Grid  */
.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
} 
@media (min-width: 768px) {
    .grid {
        grid-template-columns: repeat(3,1fr);
    }
}

/* Productos  */

.producto {
    background-color: var(--primarioOscuro);
    padding: 1rem;

}
.producto__imagen {
    width: 100%;
} 

.producto__informacion {

}

.producto__nombre {
    font-size: 4rem;
}

.producto__precio {
    font-size: 2.4rem;
    color: var(--secundario);
}

.producto__nombre, 
.producto__precio {
    font-family: var(--fuentePrincipal);
    margin: 1rem 0;
    text-align: center;
    line-height: 1.2;
}

/* GRAFICOS */
.grafico {
    min-height: 30rem;
    background-repeat: no-repeat;
    background-size: cover;
    grid-column: 1 / 3;
}

.grafico--camisas {
    grid-row: 2 / 3;
    background-image: url(../img/grafico1.jpg);
}

.grafico--node {
    background-image: url(../img/grafico2.jpg);
    grid-column: 1 / 3;
    grid-row: 8 / 9;
}

@media (min-width: 768px) {
    .grafico--node {
        grid-row: 5 / 6;
        grid-column: 2 / 4;
    }
}


/* NOSOTROS  */

.nosotros {
    display: grid;
    grid-template-rows: repeat(2, auto);
}

@media (min-width: 758px) {
    .nosotros {
        
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    
    }
}

.nosotros__imagen {
    grid-row: 1 / 2;
    width: 100%;
}

@media (min-width: 768px) {
    .nosotros__imagen {
        grid-column: 2 / 3;
       
    }
}

/* BLOQUES  */

.bloques {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;

}

@media (min-width: 768px) {
    .bloques {
        grid-template-columns: repeat(4, 1fr);
    }
}

.bloque {
    text-align: center;

}

.bloque__imagen {
    width: 100%;
}


.bloque__titulo {
    margin: 0;
}






